Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::portfolio::SchemaFieldArray Class Reference

Inherits Object.

## Public Member Functions
| SchemaFieldArray ()
| Constructor.
| SchemaFieldArray (const SchemaFieldArray &other)
| Constructor, with another array object. More...
| ~ SchemaFieldArray ()
| Destructor.
void | Add (const SchemaField &element)
| Add an element to the end of current array. More...
SchemaField | GetAt (size_t index) const
| Retrieve a copy of the element at position specified by index in current array. More...
size_t | GetSize () const
| Get the size of elements in current array. More...
void | InsertAt (size_t index, const SchemaField &element)
| Insert an element before the position specified by index. More...
SchemaFieldArray & | operator= (const SchemaFieldArray &other)
| Assign operator. More...
SchemaField & | operator[] (size_t index) const
| Retrieve a reference to the element at position specified by index in current array. More...
void | RemoveAll ()
| Remove all the element from current array. More...
void | RemoveAt (size_t index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of SchemaField objects.

## Constructor & Destructor Documentation

## ◆ SchemaFieldArray()

foxit::pdf::portfolio::SchemaFieldArray::SchemaFieldArray | ( | const SchemaFieldArray & | other | ) |

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

void foxit::pdf::portfolio::SchemaFieldArray::Add | ( | const SchemaField & | element | ) |

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

SchemaField foxit::pdf::portfolio::SchemaFieldArray::GetAt | ( | size_t | index | ) | const

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

size_t foxit::pdf::portfolio::SchemaFieldArray::GetSize | ( |  | ) | const

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

void foxit::pdf::portfolio::SchemaFieldArray::InsertAt | ( | size_t | index,
|  | const SchemaField & | element
| ) |  |

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ operator=()

SchemaFieldArray& foxit::pdf::portfolio::SchemaFieldArray::operator= | ( | const SchemaFieldArray & | other | ) |

Assign operator.

Parameters

  [in] | other | Another array object, whose value will be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator[]()

SchemaField& foxit::pdf::portfolio::SchemaFieldArray::operator[] | ( | size_t | index | ) | const

Retrieve a reference to the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  Reference to an element.

## ◆ RemoveAll()

void foxit::pdf::portfolio::SchemaFieldArray::RemoveAll | ( |  | ) |

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

void foxit::pdf::portfolio::SchemaFieldArray::RemoveAt | ( | size_t | index | ) |

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.